function O = modos(m)

global KK
global MM

[u,v] = eig(-KK,MM);

U = u(5:8,10-2*m);

Au = abs(U);
A = Au./max(abs(Au));
F = angle(U);

t = 0:0.001:0.5;

for i=1:length(U),
    X(i,:) = 0.1*A(i)*cos(20*pi*t + F(i));
end

for i=1:length(t),
   %--- coordenadas do corpo do carro ---
   x1 = -0.808*cos(21.8*pi/180 + X(4,i));
   y1 = -0.808*sin(21.8*pi/180 + X(4,i)) + X(3,i);
   x2 = -0.808*cos(21.8*pi/180 - X(4,i));
   y2 =  0.808*sin(21.8*pi/180 - X(4,i)) + X(3,i);
   x3 = -0.808*cos(68.2*pi/180 - X(4,i));
   y3 =  0.808*sin(68.2*pi/180 - X(4,i)) + X(3,i);
   x4 =  0.808*cos(68.2*pi/180 + X(4,i));
   y4 =  0.808*sin(68.2*pi/180 + X(4,i)) + X(3,i);
   x5 =  0.808*cos(21.8*pi/180 + X(4,i));
   y5 =  0.808*sin(21.8*pi/180 + X(4,i)) + X(3,i);
   x6 =  0.808*cos(21.8*pi/180 - X(4,i));
   y6 = -0.808*sin(21.8*pi/180 - X(4,i)) + X(3,i);
   x7 = -0.75*cos(X(4,i));
   y7 = -0.75*sin(X(4,i)) + X(3,i);
   x8 =  0.75*cos(X(4,i));
   y8 =  0.75*sin(X(4,i)) + X(3,i);
   %--- coordenadas do pneu esquerdo
   p1x = -1.1;
   p1y = -0.5 + X(1,i);
   p2x = p1x;
   p2y =  0.0 + X(1,i);
   p3x = -0.95;
   p3y = p2y;
   p4x = p3x;
   p4y = p1y;
   p5x = p3x;
   p5y = -0.4 + X(1,i);
   p6x = p3x;
   p6y = -0.1 + X(1,i);
   %--- coordenadas do pneu direito
   t1x =  1.1;
   t1y = -0.5 + X(2,i);
   t2x = t1x;
   t2y =  0.0 + X(2,i);
   t3x =  0.95;
   t3y = t2y;
   t4x = t3x;
   t4y = t1y;
   t5x = t3x;
   t5y = -0.4 + X(2,i);
   t6x = t3x;
   t6y = -0.1 + X(2,i);
    
   fill([x1 x2 x3 x4 x5 x6 x1],[y1 y2 y3 y4 y5 y6 y1],'b')
   hold on
   fill([p1x p2x p3x p4x p1x],[p1y p2y p3y p4y p1y],'k')
   fill([t1x t2x t3x t4x t1x],[t1y t2y t3y t4y t1y],'k')
   plot([-2 2],[-0.5 -0.5],'k-')
   plot([p5x x1],[p5y y1],'k-','linewidth',2,'color',[0.5 0.5 0.5])
   plot([p6x x7],[p6y y7],'k-','linewidth',2,'color',[0.5 0.5 0.5])
   plot([t5x x6],[t5y y6],'k-','linewidth',2,'color',[0.5 0.5 0.5])
   plot([t6x x8],[t6y y8],'k-','linewidth',2,'color',[0.5 0.5 0.5])
   hold off
   axis([-1.25 1.25 -1.1 1.4])
   pause(0.0001)
end